#include "xasset.h"

XAsset::XAsset()
    : mPtr(0) {

}

XAsset::~XAsset()
{

}

void XAsset::SetPtr(qint32 aPtr) {
    mPtr = aPtr;
}

qint32 XAsset::GetPtr() {
    return mPtr;
}

void XAsset::ParsePtr(QDataStream *aStream, bool aDataFlag) {
    *aStream >> mPtr;

    if (aDataFlag && mPtr == -1)
    {
        ParseData(aStream);
    }
}
